/*
 * Copyright 2007 Roberto Fasciolo
 * 
 * This file is part of vsitegen.
 * 
 * vsitegen is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * vsitegen is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with vsitegen; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package net.robyf.vsitegen.model;

public final class Link extends Element {

    private String url;

    private boolean newWindow;

    public boolean isNewWindow() {
        return newWindow;
    }

    public void setNewWindow(final String newWindow) {
        this.newWindow = Boolean.valueOf(newWindow);
    }

    public void setNewWindow(final boolean newWindow) {
        this.newWindow = newWindow;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(final String url) {
        this.url = url;
    }

    public boolean isLink() {
        return true;
    }

    public boolean isPage() {
        return false;
    }

}
